## ktikz-0.13.2 p20250728

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22.0)
project(ktikz)

if(POLICY CMP0160)
    # NOTE: silence warnings in ECM (policy since cmake 3.29)
    cmake_policy(SET CMP0160 OLD)
endif()

set(KTIKZ_VERSION "0.13.2")
set(KTIKZ_USE_KTEXTEDITOR FALSE CACHE BOOL "Use KTextEditor framework")

set(QT_MIN_VERSION "6.5.0")
set(KF6_DEP_VERSION "6.0.0")
set(QT_MAJOR_VERSION "6")

add_definitions(-DORGNAME=\"Florian_Hackenberger\")
add_definitions(-DAPPNAME=\"ktikz\")
add_definitions(-DAPPVERSION=\"${KTIKZ_VERSION}\")
add_definitions(-DKTIKZ_USE_DESKTOP_ICONS)
add_definitions(-DKTIKZ_USE_KDE)
add_definitions(-DKTIKZ_TIKZ_DOCUMENTATION_DEFAULT=\"/usr/share/doc/texmf/pgf/pgfmanual.pdf.gz\")

if(KTIKZ_USE_KTEXTEDITOR)
    add_definitions(-DKTIKZ_USE_KTEXTEDITOR)
endif()

find_package(ECM 1.1.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR})

include(ECMSetupVersion)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    Gui
    Widgets
    Xml
    PrintSupport
    LinguistTools
    Core5Compat
)

find_package(KF6 ${KF6_DEP_VERSION} REQUIRED
    DocTools
    XmlGui
    TextEditor
    Parts
    IconThemes
    KIO
    WidgetsAddons
    I18n
)

option(BUILD_WITH_SANITIZERS "Build with sanitizers" OFF)
if(BUILD_WITH_SANITIZERS)
  if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -fsanitize=undefined")
  elseif(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -fsanitize=undefined -fsanitize=leak")
  else()
    # TODO @JC check if MSVC supports sanitizers
  endif()
endif()

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_definitions(-DQT_STRICT_ITERATORS)
endif()

if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
endif()

if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    if(NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS "5.0.0")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -Wlogical-op")
    endif()
endif()

find_package(Poppler "24.06" REQUIRED Qt6 Core)
set_package_properties(
    "Poppler-Qt6"
    PROPERTIES
    DESCRIPTION "A PDF rendering library"
    URL "http://poppler.freedesktop.org"
    TYPE REQUIRED
    PURPOSE "Support for PDF files in KTikZ."
)

add_subdirectory(app)
add_subdirectory(part)
add_subdirectory(doc)
add_subdirectory(translations)
add_subdirectory(data)

# Remove directories
add_custom_target(uninstalldirs)
add_dependencies(uninstalldirs uninstalldirs_app uninstalldirs_part uninstalldirs_doc)

# Make packages
include(KtikzCPackOptions.cmake)
include(CPack)
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

=== app/CMakeLists.txt ===
include(../KtikzConfig.cmake)
add_definitions(-DKTIKZ_TRANSLATIONS_INSTALL_DIR=\"${KTIKZ_TRANSLATIONS_INSTALL_DIR}\")
add_definitions(-DKTIKZ_TEMPLATES_INSTALL_DIR=\"${KTIKZ_TEMPLATES_INSTALL_DIR}\")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/../common
    ${CMAKE_CURRENT_SOURCE_DIR}/../common/utils
)

set(ktikz_SRCS
    configappearancewidget.cpp
    configeditorwidget.cpp
    configgeneralwidget.cpp
    configpreviewwidget.cpp
    configdialog.cpp
    editgotolinewidget.cpp
    editindentwidget.cpp
    editreplacewidget.cpp
    editreplacecurrentwidget.cpp
    ktikzapplication.cpp
    linenumberwidget.cpp
    loghighlighter.cpp
    logtextedit.cpp
    main.cpp
    mainwindow.cpp
    tikzcommandinserter.cpp
    tikzcommandwidget.cpp
    tikzdocumentationcontroller.cpp
    tikzeditor.cpp
    tikzeditorhighlighter.cpp
    tikzeditorview.cpp
    usercommandeditdialog.cpp
    usercommandinserter.cpp
    ../common/templatewidget.cpp
    ../common/tikzpreview.cpp
    ../common/tikzpreviewmessagewidget.cpp
    ../common/tikzpreviewrenderer.cpp
    ../common/tikzpreviewcontroller.cpp
    ../common/tikzpreviewgenerator.cpp
    ../common/utils/action.cpp
    ../common/utils/colorbutton.cpp
    ../common/utils/combobox.cpp
    ../common/utils/file.cpp
    ../common/utils/filedialog.cpp
    ../common/utils/globallocale.cpp
    ../common/utils/lineedit.cpp
    ../common/utils/messagebox.cpp
    ../common/utils/pagedialog.cpp
    ../common/utils/printpreviewdialog.cpp
    ../common/utils/recentfilesaction.cpp
    ../common/utils/selectaction.cpp
    ../common/utils/standardaction.cpp
    ../common/utils/tempdir.cpp
    ../common/utils/toggleaction.cpp
    ../common/utils/toolbar.cpp
    ../common/utils/url.cpp
    ../common/utils/zoomaction.cpp
)

if(KTIKZ_USE_KTEXTEDITOR)
    list(APPEND ktikz_SRCS tikzktexteditorview.cpp tikzktexteditorcompletion.cpp)
endif()

# dirty hack: use ki18n_wrap_ui to let Qt translate the .ui files instead of
# KDE (to have less duplication in the translation effort)
ki18n_wrap_ui(ktikz_UI_FILES
    configappearancewidget.ui
    configeditorwidget.ui
    configgeneralwidget.ui
    configpreviewwidget.ui
    editgotolinewidget.ui
    editindentwidget.ui
    editreplacewidget.ui
    usercommandeditdialog.ui
    ../common/templatewidget.ui
)
kconfig_add_kcfg_files(ktikz_SRCS ../common/settings.kcfgc)
qt_add_resources(ktikz_SRCS ktikz.qrc)
qt_add_resources(ktikz_SRCS qtikz.qrc)

file(GLOB icons_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-ktikz.png")
# add icons for win32 and mac; this command assumes that the first arg is of the
# form <appname>_SRCS
ecm_add_app_icon(ktikz_SRCS ICONS ${icons_SRCS})

add_executable(ktikz ${ktikz_SRCS} ${ktikz_UI_FILES})
target_link_libraries(
    ktikz
    KF6::XmlGui
    KF6::TextEditor
    KF6::IconThemes
    KF6::KIOWidgets
    KF6::KIOFileWidgets
    KF6::WidgetsAddons
    KF6::I18n
    Qt6::Core5Compat  # QTextCodec
    Qt6::PrintSupport
    Poppler::Qt6
)

if(KTIKZ_USE_KTEXTEDITOR)
    target_link_libraries(ktikz KF6::TextEditor)
endif()

install(TARGETS ktikz DESTINATION ${KDE_INSTALL_BINDIR})
if(KTIKZ_USE_KTEXTEDITOR)
    install(FILES kxmlgui5/ktikz/ktikzui_frameworks.rc DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/ktikz)
endif()

install(FILES kxmlgui5/ktikz/ktikzui.rc DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/ktikz)
install(FILES ../common/ktikz.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

add_subdirectory(icons)

add_custom_target(uninstalldirs_app)
add_custom_command(
    TARGET uninstalldirs_app
    POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E remove_directory ${KTIKZ_TRANSLATIONS_INSTALL_DIR}
    COMMAND ${CMAKE_COMMAND} -E remove_directory ${KTIKZ_TEMPLATES_INSTALL_DIR}
    COMMAND ${CMAKE_COMMAND} -E remove_directory ${KTIKZ_DATA_INSTALL_DIR}
    COMMAND ${CMAKE_COMMAND} -E remove_directory ${KDE_INSTALL_KXMLGUIDIR}/ktikz
    COMMENT
        "Removing directories ${KTIKZ_TRANSLATIONS_INSTALL_DIR} ${KTIKZ_TEMPLATES_INSTALL_DIR} ${KTIKZ_DATA_INSTALL_DIR} ${KDE_INSTALL_KXMLGUIDIR}/ktikz"
    VERBATIM
)

=== data/CMakeLists.txt ===
include(../KtikzConfig.cmake)

### Install desktop file
install(FILES ktikz.desktop DESTINATION ${KDE_INSTALL_APPDIR})

### Install text/x-pgf mimetype
find_package(SharedMimeInfo)
install(FILES qtikz.xml DESTINATION ${KDE_INSTALL_MIMEDIR} RENAME ktikz.xml)
update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})

### Install examples
install(
    FILES
        examples/template_example.pgs
        examples/template_example2.pgs
        examples/beamer-example-template.pgs
    DESTINATION ${KTIKZ_TEMPLATES_INSTALL_DIR}
)

### Install appdata file
install(FILES ktikz.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== doc/CMakeLists.txt ===
### Install KDE Help Center documentation
kdoctools_create_handbook(
    index.docbook
    INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en
    SUBDIR ktikz
)

### Install man files
install(FILES ktikz.1 DESTINATION ${KDE_INSTALL_MANDIR}/man1)

### Remove installation directories
add_custom_target(uninstalldirs_doc)
add_custom_command(
    TARGET uninstalldirs_doc
    POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E remove ${KDE_INSTALL_DOCBUNDLEDIR}/en/ktikz/common
    COMMAND ${CMAKE_COMMAND} -E remove_directory ${KDE_INSTALL_DOCBUNDLEDIR}/en/ktikz
    COMMENT "Removing directory ${KDE_INSTALL_DOCBUNDLEDIR}/en/ktikz"
    VERBATIM
)

=== part/CMakeLists.txt ===
include(../KtikzConfig.cmake)

set(KTIKZPART_DATA_INSTALL_DIR ${KDE_INSTALL_DATADIR}/ktikzpart)
add_definitions(-DKTIKZ_KPART)
add_definitions(-DKTIKZ_TRANSLATIONS_INSTALL_DIR=\"${KTIKZ_TRANSLATIONS_INSTALL_DIR}\")
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../common)

set(ktikzpart_SRCS
    configdialog.cpp
    configgeneralwidget.cpp
    part.cpp
    ../common/templatewidget.cpp
    ../common/tikzpreview.cpp
    ../common/tikzpreviewmessagewidget.cpp
    ../common/tikzpreviewrenderer.cpp
    ../common/tikzpreviewcontroller.cpp
    ../common/tikzpreviewgenerator.cpp
    ../common/utils/action.cpp
    ../common/utils/combobox.cpp
    ../common/utils/file.cpp
    ../common/utils/filedialog.cpp
    ../common/utils/globallocale.cpp
    ../common/utils/lineedit.cpp
    ../common/utils/messagebox.cpp
    ../common/utils/printpreviewdialog.cpp
    ../common/utils/recentfilesaction.cpp
    ../common/utils/selectaction.cpp
    ../common/utils/standardaction.cpp
    ../common/utils/tempdir.cpp
    ../common/utils/toggleaction.cpp
    ../common/utils/toolbar.cpp
    ../common/utils/url.cpp
    ../common/utils/zoomaction.cpp
)

ki18n_wrap_ui(
    ktikzpart_SRCS
    configgeneralwidget.ui
    ../common/templatewidget.ui
)

kconfig_add_kcfg_files(ktikzpart_SRCS ../common/settings.kcfgc)

add_library(ktikzpart MODULE ${ktikzpart_SRCS})
target_link_libraries(
    ktikzpart
    KF6::Parts
    KF6::IconThemes
    KF6::CoreAddons
    KF6::KIOCore
    KF6::KIOFileWidgets
    KF6::KIOWidgets
    KF6::I18n
    Qt6::PrintSupport
    Poppler::Qt6
)

install(TARGETS ktikzpart DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES ktikzpart.rc DESTINATION ${KTIKZPART_DATA_INSTALL_DIR})

add_custom_target(uninstalldirs_part)
add_custom_command(
    TARGET uninstalldirs_part
    POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E remove_directory ${KTIKZPART_DATA_INSTALL_DIR}
    COMMENT "Removing directory ${KTIKZPART_DATA_INSTALL_DIR}"
    VERBATIM
)

=== translations/CMakeLists.txt ===
include(../KtikzConfig.cmake)

### Install qm files
file(GLOB ktikz_TS_FILES */qtikz_*.ts)
qt_add_translation(ktikz_QM_FILES ${ktikz_TS_FILES})
add_custom_target(translations ALL DEPENDS ${ktikz_QM_FILES})
install(FILES ${ktikz_QM_FILES} DESTINATION ${KTIKZ_TRANSLATIONS_INSTALL_DIR})

### Install po files
find_package(Gettext)
if(GETTEXT_FOUND)
    add_subdirectory(cs)
    add_subdirectory(de)
    add_subdirectory(es)
    add_subdirectory(fr)
else(GETTEXT_FOUND)
    message("NOTE: Gettext not found. Translations will *not* be installed.")
endif(GETTEXT_FOUND)

### Generate ts files (only to be used when ../app/tikzcommands.xml has changed)
set(TIKZCOMMANDS_TR_H tikzcommands_tr.h)
set(XMLPATTERNS xmlpatterns)
set(LUPDATE lupdate)

add_custom_target(ts)
find_program(SED_EXE NAMES sed)
if(SED_EXE)
    add_custom_command(
        TARGET ts
        COMMAND
            ${XMLPATTERNS} -output ${TIKZCOMMANDS_TR_H}_tmp
            ${CMAKE_CURRENT_SOURCE_DIR}/../app/extract-tikzcommands.xq
        COMMAND ${SED_EXE} -e "s/amp\\;//g" ${TIKZCOMMANDS_TR_H}_tmp > ${TIKZCOMMANDS_TR_H}
        COMMAND
            ${LUPDATE} ${CMAKE_CURRENT_SOURCE_DIR}/../app ${CMAKE_CURRENT_SOURCE_DIR}/../common
            ${CMAKE_CURRENT_SOURCE_DIR}/../common/utils
            ${CMAKE_CURRENT_BINARY_DIR}/${TIKZCOMMANDS_TR_H} -ts ${ktikz_TS_FILES}
        COMMAND ${CMAKE_COMMAND} -E remove ${CMAKE_CURRENT_BINARY_DIR}/${TIKZCOMMANDS_TR_H}_tmp
        COMMAND ${CMAKE_COMMAND} -E remove ${CMAKE_CURRENT_BINARY_DIR}/${TIKZCOMMANDS_TR_H}
        VERBATIM
    )
else(SED_EXE)
    message(
        STATUS
        "Unable to find sed. Please install it if you want to use the \"make ts\" target."
    )
endif(SED_EXE)

=== app/icons/CMakeLists.txt ===
# this installs the icons with a file name of the form <size>-<group>-<name>.<extension>, e.g. hi22-apps-ktikz.png
ecm_install_icons(ICONS
    16-apps-ktikz.png
    22-apps-ktikz.png
    32-apps-ktikz.png
    48-apps-ktikz.png
    64-apps-ktikz.png
    128-apps-ktikz.png
    sc-apps-ktikz.svgz
    sc-apps-ktikz.svg
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== debian/changelog ===
ktikz (0.13.1) unstable; urgency=low
  * Complete port to KDE Frameworks 5
  * Add configurable backgroud color for the preview
  * Add support for KTextEditor framework. This makes possible to use both
  * the Qt and KDE editor. Makes a smooth integration into KDE.
  * Use `WriteOnly` flag when writing file
  * Use target-arch pkg-config not local arch

 -- Joao Carreira <jfmcarreira@gmail.com>  Mon, 29 Dec 2021 23:34:00 +0100

ktikz (0.10~svn140-1) UNRELEASED; urgency=low

  * New upstream version (svn snapshot).
  * Initial upload to unstable (Closes: #521837).
  * Bump standards-version to 3.9.1 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Mon, 13 Sep 2010 13:39:11 +0100

ktikz (0.10~svn127-1) unstable; urgency=low

  * New upstream version (svn snapshot).
  * No longer rename sharedmimeinfo files (now done by upstream build system).
  * Drop man pages from debian directory now that they are included by upstream.
  * Add Recommends: qt4-dev-tools for qtikz for help system.
  * Add README.Debian to explain purpose of recommended packages.
  * Refresh patches.
  * Bump standards-version to 3.9.0 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sat, 24 Jul 2010 14:15:46 +0100

ktikz (0.10~svn118-1) unstable; urgency=low

  * New upstream version (svn snapshot).
  * Drop qmake-translation.patch now included upstream.
  * Change dh7 build-system to "kde" and depend on pkg-kde-tools for this.
  * Add support for "noopt" builds of the package.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 23 Jun 2010 12:12:40 +0100

ktikz (0.10~svn112-1) unstable; urgency=low

  * New upstream version (svn snapshot).
  * Drop patch tikz-default-doc-path.patch since upstream build system now
    includes this default.
  * Also compile the Qt version (qtikz) and create the qtikz package for it.
  * Add qmake-translation.patch to manage building translations for the Qt
    version as part of the regular build process.
  * Update copyright years, people and GPL version (now GPLv2+).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Tue, 17 Jun 2010 12:54:25 +0100

ktikz (0.10~svn103-1) unstable; urgency=low

  * New upstream version (svn snapshot).
  * Convert to 3.0 (quilt) format with dh7.
  * Expand long description to include information on tikz.
  * Add watch file.
  * Update copyright years, people and GPL version (now GPLv3).
  * Patch location of PGF documentation for tikz.
  * Add myself as an Uploader.
  * Bump standards-version to 3.8.4 (no change required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sat, 05 Jun 2010 00:02:33 +0100

ktikz (0.9-1) unstable; urgency=low

  * Upgraded to the 0.9 upstream release

 -- Florian Hackenberger <florian@hackenberger.at>  Sun, 13 Sep 2009 12:46:21 +0200

ktikz (0.8-1) unstable; urgency=low

  * Adapted debian packaging infrastructure. Thanks to Agustin Martin.

 -- Florian Hackenberger <florian@hackenberger.at>  Sat, 07 Mar 2009 15:22:21 +0100

ktikz (0.7-0.1) unstable; urgency=low

  * Make a normal Debian package, not a native one.
  * Create and install a minimal man page.
  * debian/rules:
    - Use distclean in clean target.
    - Make sure auto-generated src/ktikz.desktop is removed in clean target.
    - Call dh_desktop (Fix lintian warning: ktikz:
      desktop-mimetype-without-update-call).
    - Call dh_installmenu.
    - Remove unused stuff from original dh_make template.
  * debian/control:
    - Fix lintian 'E: ktikz: description-starts-with-package-name'.
    - Add Homepage and Vcs-Svn fields.
    - Bump Standards-Version to 3.8.0. No changes required.
  * debian/copyright: Improved wording. Fix some lintian warnings:
    - Fix lintian 'copyright-refers-to-versionless-license-file'.
    - Fix lintian 'copyright-contains-dh_make-todo-boilerplate'.

 -- Agustin Martin Domingo <agustin.martin@hispalinux.es>  Mon, 02 Mar 2009 15:49:30 +0100

ktikz (0.7) hardy; urgency=low

  * Upgraded to release 0.7

 -- Florian Hackenberger <florian@hackenberger.at>  Sat, 15 Nov 2008 14:47:54 +0100

ktikz (0.6-1) unstable; urgency=low

  * Updated source version to 0.6

 -- Florian Hackenberger <fhackenberger@hackenberger.at>  Sun, 23 Mar 2008 09:19:36 +0100

ktikz (0.4-1) unstable; urgency=low

  * Initial release of the debian package for ktikz

 -- Florian Hackenberger <florian@hackenberger.at>  Tue, 11 Sep 2007 15:32:17 +0200

=== debian/control ===
Source: ktikz
Section: graphics
Priority: optional
Maintainer: Joao Carreira <jfmcarreira@gmail.com>
Uploaders: Stuart Prescott <stuart+debian@nanonanonano.net>
Build-Depends: debhelper (>= 7.3.16~),
                pkg-config,
                cmake,
                qtbase5-dev,
                qtchooser,
                qt5-qmake,
                qtbase5-dev-tools,
                qttools5-dev,
                qttools5-dev-tools,
                extra-cmake-modules,
                libpoppler-qt5-dev,
                pkg-kde-tools (>= 0.5~),
                libkf5xmlgui-dev,
                libkf5texteditor-dev,
                libkf5doctools-dev,
                libkf5parts-dev,
                libkf5iconthemes-dev,
                xsltproc,
                imagemagick,
                libmagickcore-extra
Homepage: http://www.hackenberger.at/ktikz-editor-for-the-tikz-language
Vcs-Svn: svn://hackenberger.at/svnroot/ktikz/trunk
Standards-Version: 3.9.1

Package: ktikz
Architecture: any
Depends: pgf,
          preview-latex-style,
          ${shlibs:Depends},
          ${misc:Depends}
Recommends: poppler-utils
Description: editor for the TikZ drawing language - KDE version
 KtikZ is a small application to assist in the creation of diagrams and
 drawings using the TikZ macros from the LaTeX package "pgf". It consists of
 a text editor pane in which the TikZ code for the drawing is edited and a
 preview pane showing the drawing as rendered by LaTeX. The preview pane can be
 updated in real-time. Common drawing tools, options and styles are available
 from the menus to assist the coding process.
 .
 This package contains the KDE version of the program.
 .
 TikZ is a user-friedly syntax layer for the PGF (portable graphics format)
 TeX macro package. Pictures can be created within a LaTeX document and
 included in the output using the most important TeX backend drivers including
 pdftex and dvips.

Package: qtikz
Architecture: any
Depends: pgf,
          preview-latex-style,
          ${shlibs:Depends},
          ${misc:Depends}
Recommends: poppler-utils,
            qtbase5-dev
Description: editor for the TikZ drawing language - Qt version
 QtikZ is a small application to assist in the creation of diagrams and
 drawings using the TikZ macros from the LaTeX package "pgf". It consists of
 a text editor pane in which the TikZ code for the drawing is edited and a
 preview pane showing the drawing as rendered by LaTeX. The preview pane can be
 updated in real-time. Common drawing tools, options and styles are available
 from the menus to assist the coding process.
 .
 This package contains the Qt version of the program.
 .
 TikZ is a user-friedly syntax layer for the PGF (portable graphics format)
 TeX macro package. Pictures can be created within a LaTeX document and
 included in the output using the most important TeX backend drivers including
 pdftex and dvips.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	QMAKECONFIG = -config noopt
	CXXFLAGS += -O0
else
	CXXFLAGS += -O2
endif

%:
	# specify both --with and --buildsystem so that the options filter through overridden calls to the helper
	dh $@ --with=kde --buildsystem=kde

QTBUILD=buildqt

override_dh_auto_clean:
	# Clean up the KDE build (cmake)
	dh_auto_clean
	# Clean up the Qt build (qmake)
	[ ! -f Makefile ] || make distclean
	rm -rf app/qtikz.desktop $(QTBUILD)

override_dh_auto_configure:
	# configure the KDE version (cmake)
	dh_auto_configure
	# configure the Qt version (qmake)
	mkdir $(QTBUILD)
	QT_SELECT=5 cd $(QTBUILD) && qmake $(QMAKECONFIG) ../qtikz.pro

override_dh_auto_build:
	# build the KDE version (cmake)
	dh_auto_build
	# build the Qt version (qmake)
	QT_SELECT=5 make -C $(QTBUILD)

override_dh_auto_install:
	# install the KDE version (cmake)
	dh_auto_install
	# install the Qt version (qmake)
	INSTALL_ROOT=$(CURDIR)/debian/qtikz make -C $(QTBUILD) install
	rm $(CURDIR)/debian/qtikz/usr/share/qtikz/LICENSE.GPL2
	# Make icons for Debian menu
	convert -background none -geometry 32x32 ./app/icons/sc-apps-ktikz.svg \
	  $(CURDIR)/debian/ktikz/usr/share/pixmaps/ktikz32.xpm
	convert -background none -geometry 16x16 ./app/icons/sc-apps-ktikz.svg \
	  $(CURDIR)/debian/ktikz/usr/share/pixmaps/ktikz16.xpm
	convert -background none -geometry 32x32 ./app/icons/qtikz.svg \
	  $(CURDIR)/debian/qtikz/usr/share/pixmaps/qtikz32.xpm
	convert -background none -geometry 16x16 ./app/icons/qtikz.svg \
	  $(CURDIR)/debian/qtikz/usr/share/pixmaps/qtikz16.xpm

.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build override_dh_auto_install

=== debian/watch ===
version=3

http://www.hackenberger.at/ktikz/ktikz-(.*).tar.gz
